%define module_name Raisin
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class/Core.pm) perl(DBIx/Class/Schema.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Exporter.pm) perl(FindBin.pm) perl(HTTP/Message/PSGI.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(JSON.pm) perl(JSON/MaybeXS.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types/Moose.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/CrossOrigin.pm) perl(Plack/Request.pm) perl(Plack/Response.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Plack/Util/Accessor.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/Pod.pm) perl(Time/HiRes.pm) perl(Types/Standard.pm) perl(YAML.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.82
Release: alt1
Summary: REST-like API micro-framework for Perl.
Group: Development/Perl
License: see LICENSE
URL: https://github.com/khrt/Raisin

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RT/RTKH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Raisin is a REST-like API micro-framework for Perl.
It's designed to run on Plack, providing a simple DSL to easily develop RESTful APIs.
It was inspired by Grape.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes examples
%perl_vendor_privlib/R*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Feb 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.82-alt1
- updated by package builder

* Wed Feb 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.81-alt1
- regenerated from template by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.80-alt1
- regenerated from template by package builder

* Tue Nov 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.79-alt1
- regenerated from template by package builder

* Thu Oct 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.76-alt1
- regenerated from template by package builder

* Sat Aug 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.75-alt1
- regenerated from template by package builder

* Wed Jul 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1
- regenerated from template by package builder

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.73-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.72-alt1
- regenerated from template by package builder

* Tue Jan 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.71-alt1
- regenerated from template by package builder

* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.69-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.68-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.67-alt1
- regenerated from template by package builder

* Mon Jul 25 2016 Igor Vlasenko <viy@altlinux.ru> 0.64-alt1
- regenerated from template by package builder

* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.63-alt1
- regenerated from template by package builder

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.62-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.59-alt1
- regenerated from template by package builder

* Tue Feb 10 2015 Igor Vlasenko <viy@altlinux.ru> 0.57-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.36-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.35-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- regenerated from template by package builder

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- initial import by package builder

